Sealio Docs
Requests

List requests

List requests. Reference for GET /v1/requests in the Sealio API: parameters and response fields.

GET/requests

Authorization

apiKey
AuthorizationBearer <token>

sk_live_ca_… or sk_live_in_…, created in Settings → API keys.

In: header

Query Parameters

status?unknown
Default"all"

Value in

  • "open"
  • "draft"
  • "closed"
  • "all"
client_id?string
limit?integer
Range1 <= value <= 100
Default25
starting_after?string

next_cursor from the previous page.

Response Body

application/json

application/problem+json

curl -X GET "https://example.com/requests"
{  "object": "list",  "url": "string",  "data": [    {      "id": "string",      "object": "request",      "title": "string",      "status": "draft",      "due_date": "2019-08-24",      "period": "string",      "case_id": "string",      "clients": [        {          "id": "string",          "name": "string"        }      ],      "item_count": 0,      "required_count": 0,      "sent_at": "2019-08-24T14:15:22Z",      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    }  ],  "has_more": true,  "next_cursor": "string"}